2d5ff41105
and manage them as rebasing patch queue branch
69 lines
2.2 KiB
Diff
69 lines
2.2 KiB
Diff
From 7e46d0f379706d74d5dc05ff20e58e708a1005a6 Mon Sep 17 00:00:00 2001
|
|
From: =?UTF-8?q?Fabian=20Gr=C3=BCnbichler?= <f.gruenbichler@proxmox.com>
|
|
Date: Wed, 12 Oct 2016 11:32:17 +0200
|
|
Subject: [PATCH 3/6] add zfsutils.preinst/postinst for wheezy upgrade path
|
|
MIME-Version: 1.0
|
|
Content-Type: text/plain; charset=UTF-8
|
|
Content-Transfer-Encoding: 8bit
|
|
|
|
Signed-off-by: Fabian Grünbichler <f.gruenbichler@proxmox.com>
|
|
---
|
|
debian/zfsutils-linux.postinst | 20 ++++++++++++++++++++
|
|
debian/zfsutils-linux.preinst | 17 +++++++++++++++++
|
|
2 files changed, 37 insertions(+)
|
|
create mode 100755 debian/zfsutils-linux.postinst
|
|
create mode 100755 debian/zfsutils-linux.preinst
|
|
|
|
diff --git a/debian/zfsutils-linux.postinst b/debian/zfsutils-linux.postinst
|
|
new file mode 100755
|
|
index 0000000..7d57919
|
|
--- /dev/null
|
|
+++ b/debian/zfsutils-linux.postinst
|
|
@@ -0,0 +1,20 @@
|
|
+#!/bin/sh
|
|
+
|
|
+set -e
|
|
+
|
|
+# Source debconf library
|
|
+. /usr/share/debconf/confmodule
|
|
+
|
|
+if dpkg-maintscript-helper supports rm_conffile 2>/dev/null
|
|
+then
|
|
+ dpkg-maintscript-helper rm_conffile /etc/default/zfsload -- "$@"
|
|
+ dpkg-maintscript-helper rm_conffile /etc/init.d/zfs -- "$@"
|
|
+ dpkg-maintscript-helper rm_conffile /etc/init.d/zed -- "$@"
|
|
+ dpkg-maintscript-helper rm_conffile /etc/init.d/zfs-zed -- "$@"
|
|
+ dpkg-maintscript-helper rm_conffile /etc/init.d/zfs-mount -- "$@"
|
|
+ dpkg-maintscript-helper rm_conffile /etc/init.d/zfs-share -- "$@"
|
|
+ dpkg-maintscript-helper rm_conffile /etc/init.d/zfs-import -- "$@"
|
|
+fi
|
|
+
|
|
+#DEBHELPER#
|
|
+
|
|
diff --git a/debian/zfsutils-linux.preinst b/debian/zfsutils-linux.preinst
|
|
new file mode 100755
|
|
index 0000000..9338a7c
|
|
--- /dev/null
|
|
+++ b/debian/zfsutils-linux.preinst
|
|
@@ -0,0 +1,17 @@
|
|
+#!/bin/sh
|
|
+
|
|
+set -e
|
|
+
|
|
+if dpkg-maintscript-helper supports rm_conffile 2>/dev/null
|
|
+then
|
|
+ dpkg-maintscript-helper rm_conffile /etc/default/zfsload -- "$@"
|
|
+ dpkg-maintscript-helper rm_conffile /etc/init.d/zfs -- "$@"
|
|
+ dpkg-maintscript-helper rm_conffile /etc/init.d/zed -- "$@"
|
|
+ dpkg-maintscript-helper rm_conffile /etc/init.d/zfs-zed -- "$@"
|
|
+ dpkg-maintscript-helper rm_conffile /etc/init.d/zfs-mount -- "$@"
|
|
+ dpkg-maintscript-helper rm_conffile /etc/init.d/zfs-share -- "$@"
|
|
+ dpkg-maintscript-helper rm_conffile /etc/init.d/zfs-import -- "$@"
|
|
+fi
|
|
+
|
|
+#DEBHELPER#
|
|
+
|
|
--
|
|
2.1.4
|
|
|